<?php
// (с) By Zager V.B. Dubna 2014 for Meteobox.tk project.

define("DEVICE_ID", "424F58000205"); // file name DEVICE ID
/*
В константу DEVICE_ID нужно вписать ID (MAC) вашего устройства.
Это имя файла который автоматически создастся в директории
скрипта после первого обращения к скрипту add.php 
*/

$tbl=@$_GET['tbl'];
$cnt=@$_GET['cnt'];
$name=@$_GET['name'];
if (!isset($tbl)) $tbl='';
if (!isset($cnt)) $cnt=100;
if (!isset($name)) $name=$tbl;
if ($cnt>5000) $cnt=5000;
$tbl=substr($tbl,0,16);	
$cnt=intval($cnt);


function create_js_array($name,$sensor_id,$flag=false,$cnt,$days=7)
{
$fp = @file_get_contents(DEVICE_ID);
$buffer=explode("\n", $fp);

$b=$a=0;
$buf=array();
echo $name." = new Array(";
foreach($buffer as $key) {
	parse_str($key, $output);
	foreach(array_keys($output) as $key) {
	  if ($key==$sensor_id)	  
		{
			if ($flag===true) $buf[$a]=$output['t']*1000+(3600*1000*4); else $buf[$a]=$output[$key];	
			$a++;
		}
	}
}

foreach ($buf as $value)
{	  
  if ($b != 0)echo ",";
  $b++;
  echo $value;
  if ($b>$cnt) break;
}
echo ");\r\n";
echo "count_".$name."=".$b.";\r\n";
} 
?>
<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script type="text/javascript" src="js/jquery-1.10.2.min.js"></script>
		<script src="js/highstock.js"></script>
		<script src="js/modules/exporting.js"></script>
		<script type="text/javascript">
<?
create_js_array("my_time",$tbl,true,$cnt,1);
create_js_array("my_data",$tbl,false,$cnt,1);
?>		
		
$(document).ready(function() {

	var tk = [];
	
	for (i = 0; i < count_my_time; i++) {
			tk.push([
				my_time[i],
				my_data[i] 
			]);
		}
	
	Highcharts.setOptions({
		rangeSelector: {
			enabled : false
		}			
	});
	
		$('#container').highcharts('StockChart', {
			
			title : {
				text : '<?=$name;?>'
			},
			
			rangeSelector : {
				inputEnabled : false
			},
			
			chart: {
				zoomType : ""
			},
			
			tooltip: {
				formatter: function() {
                    return "Value: "+Highcharts.numberFormat(this.y, 2)+'<br/>Time:  '+Highcharts.dateFormat('%H:%M:%S', this.x) +'<br/>';
				}
			},
			series : [{
				name : 'Value',
				data : tk,
				color: '#E80000',
				step : true
			}]
		});
	});

		</script>
	</head>
<body>
<div id="container" style="height: 400px; min-width: 500px"></div>
</body>
</html>
